<?php get_header(); ?>
        <!-- casing --><!-- page-content -->
        <main id="page-content" role="main">
          <div class="container py-1 py-lg-3">
            <?php
            
            $archive_title    = '';
            $archive_subtitle = '';
            if ( !is_404() ) {
            	$archive_title    = is_home() ? get_the_content(null, false, get_option( 'page_for_posts' )) : get_the_archive_title();
            	$archive_subtitle = get_the_archive_description();
            }
            if ( $archive_title || $archive_subtitle ) {?>
            
            <header class="archive-header">
              <div class="row">
                <div class="col-12 col-sm-8 offset-lg-1">
                  <?php
                  
                  if ( $archive_title ) {
                  	echo '
                  <h2 class="mb-1 mb-lg-3">' . wp_kses_post( $archive_title ) . '</h2>';
                  }
                  if ( $archive_subtitle && !is_home() ) {
                  	echo '
                  <h5 class="mt-1 mb-0">' . wp_kses_post( wpautop( $archive_subtitle ) ) . '</h5>';
                  }?>
                  
                </div>
              </div>
            </header>
            <?php
            
            }
            if ( !have_posts() || is_404() ) {
            	get_template_part( 'template-parts/content', 'none' );
            } else {
            	$p_type = get_query_var('post_type');
            	$post_type = is_array($p_type) ? reset($p_type) : $p_type;
            	echo $post_type == 'project' ? '<div class="row"><div class="col-12 col-lg-10 offset-lg-1"><div class="row content-project-grid">' : '';
            	$i = 0;
            	while ( have_posts() ) {
            		if ( $post_type == 'post' && $i === 0 ) {
            			$post_type_obj = get_post_type_object($post_type);
            			echo '
            <div class="content-section-tagline my-2">
              <div class="row">
                <div class="col-12 col-lg-11 offset-lg-1">
                  <div class="h5">' . $post_type_obj->labels->name . '</div>
                </div>
              </div>
              <div class="content-section-tagline-mask border-bottom"></div>
            </div>';
            		}
            		
            		the_post();
            		get_template_part( 'template-parts/content', $post_type );
            		
            		if ( $post_type == 'post' ) {
            			echo '
            <div class="content-section-tagline mb-2">
              <div class="content-section-tagline-mask border-bottom"></div>
            </div>';
            		}
            		$i++;
            	}
            	echo $post_type == 'project' ? '</div></div></div>' : '';
            	get_template_part( 'template-parts/pagination' );
            }?>
            
          </div>
        </main><!-- /page-content --><!-- /casing --><?php get_footer(); ?>
        