
            <?php
            
            $product_id = get_the_ID();
            $product_thumbnail = get_post_thumbnail_id();
            $product_gallery = get_post_meta($product_id,'product_gallery',true);
            $product_gallery_html = '';
            if( !empty($product_gallery) ) {
            	foreach($product_gallery as $gallery_item) {
            		$product_gallery_html .= '
            <div class="col-4 content-product-single-gallery-item"><a class="lightbox" href="' . wp_get_attachment_url($gallery_item) . '">' . wp_get_attachment_image( $gallery_item, 'thumbnail', false ) . '</a></div>';
            	}
            }?>
            
            <article class="content-product-single" id="content-product-single" data-post="post-<?php echo $product_id ?>">
              <div class="row content-product-row-single">
                <div class="col-1 d-none d-md-block"><a class="content-read-more content-read-more-history-back" href="<?php echo home_url() ?>"></a></div>
                <div class="col-12 col-sm-6 col-md-5">
                  <div class="content-image-mask"><a class="lightbox" href="<?php echo wp_get_attachment_url($product_thumbnail) ?>">
                      <?php
                      echo wp_get_attachment_image( $product_thumbnail, 'post-thumbnail', false );?>
                      </a></div>
                </div>
                <div class="col-12 col-sm-6 col-md-4 offset-md-1">
                  <h1 class="h4 mt-1 mt-sm-0 mb-lg-2">
                    <?php
                    the_title();?>
                    
                  </h1>
                  <?php
                  
                  the_content();
                  if ( !empty($product_gallery_html) )  {
                  	echo '
                  <div class="row content-product-single-gallery mt-sm-1 mt-lg-2">' . $product_gallery_html . '</div>';
                  }?>
                  
                </div>
              </div>
            </article>