
            <?php
            
            $post_thumbnail = wp_get_attachment_image( get_post_thumbnail_id(), 'portrait', false );
            $is_bespoke 	= get_post_meta(get_the_ID(), 'out_of_production', true);
            $post_url		= $is_bespoke ? get_the_post_thumbnail_url() : get_the_permalink();
            $post_title		= get_the_title();
            $post_id		= get_the_ID();
            $scroll_speed	= isset($item_counter) ? ( $is_bespoke ? ( $item_counter % 2 == 1 ? -0.25 : 0.35 ) : ( $item_counter % 3 == 1 ? -0.3 : 0.5 ) ) : 0;
            $scroll_target  = $is_bespoke ? '#content-product-bespoke-wrapper' : '#content-product-main-wrapper';
            $my				= isset($item_counter) ? ( $is_bespoke ? ( $item_counter % 2 == 1 ? ' mt-lg-2 mb-lg-0' : ' mt-lg-n2 mb-lg-4' ) : ( $item_counter % 3 == 1 ? ' mt-lg-2 mb-lg-2' : ' mt-lg-n1 mb-lg-5' ) ) : 0;?>
            
            <article class="content-product content-product-col py-1<?php echo $is_bespoke ? ' content-product-bespoke mb-2' . $my . ' col-6 col-xs-3' : ' mb-2' . $my . ' col-12 col-xs-4' ?>" id="post-<?php echo $post_id ?>" data-product-id="<?php echo $post_id ?>" data-scroll="data-scroll" data-scroll-speed="<?php echo $scroll_speed ?>" data-scroll-target="<?php echo $scroll_target ?>">
              <?php
              
              if ($post_thumbnail) {
              	echo '
              <div class="content-image-mask"><a class="' . ( $is_bespoke ? 'bespoke-lightbox' : '') . '" href="' . $post_url . '" title="' . $post_title . '">' . $post_thumbnail . '</a></div>';
              } else {
              	echo '<a class="' . ( $is_bespoke ? 'lightbox' : '') . '" href="' . ( $is_bespoke ? get_stylesheet_directory_uri() . '/assets/images/placeholder-512x512.png' : $post_url ) . '" title="' . $post_title . '"><img class="d-block" src="' . get_stylesheet_directory_uri() . '/assets/images/placeholder-512x512.png' . '"/></a>';
              }?>
              
            </article>