<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$show_shipping = ! wc_ship_to_billing_address_only() && $order->needs_shipping_address();
?>

<div class="content-section-tagline mt-1 mb-0">&nbsp;
  <div class="content-section-tagline-mask border-bottom"></div>
</div>
<div class="content-checkout-stage content-checkout-stage-current content-faq my-1 my-md-2">
  <div class="row position-relative zi-1">
    <div class="col-9 col-md-4 offset-lg-1">
      <h4 class="h2 mb-0"><?php esc_html_e( 'Billing address', 'woocommerce' ); ?></h4>
    </div>
    <div class="col-12 col-md-8 col-lg-7">
      <div class="content-faq-description mt-2 mt-md-0">
        <address>
          <?php
          
          echo wp_kses_post( $order->get_formatted_billing_address( esc_html__( 'N/A', 'woocommerce' ) ) );
          if ( $order->get_billing_phone() ) :?>
          
          <p class="woocommerce-customer-details--phone">
            <?php
            echo esc_html( $order->get_billing_phone() );?>
            
          </p>
          <?php
          
          endif;
          if ( $order->get_billing_email() ) :?>
          
          <p class="woocommerce-customer-details--email">
            <?php
            echo esc_html( $order->get_billing_email() );?>
            
          </p>
          <?php
          endif;?>
          
        </address>
      </div>
    </div>
  </div>
</div>
<?php

if ( $show_shipping ) :
?>

<div class="content-section-tagline mt-1 mb-0">&nbsp;
  <div class="content-section-tagline-mask border-bottom"></div>
</div>
<div class="content-checkout-stage content-checkout-stage-current content-faq my-1 my-md-2">
  <div class="row position-relative zi-1">
    <div class="col-9 col-md-4 offset-lg-1">
      <h4 class="h2 mb-0"><?php esc_html_e( 'Shipping address', 'woocommerce' ); ?></h4>
    </div>
    <div class="col-12 col-md-8 col-lg-7">
      <div class="content-faq-description mt-2 mt-md-0">
        <address>
          <?php
          echo wp_kses_post( $order->get_formatted_shipping_address( esc_html__( 'N/A', 'woocommerce' ) ) );?>
          
        </address>
      </div>
    </div>
  </div>
</div>
<?php
endif;?>
<?php
do_action( 'woocommerce_order_details_after_customer_details', $order );?>
